From carmichr@hotmail.com Wed, 15 Aug 2001 06:29:23 -0700
From: "Rachel Carmichael" <carmichr@hotmail.com>
Date: Wed, 15 Aug 2001 06:29:23 -0700
Subject: RE: How can I get my DB back if I lost one of my rollback segment
Message-ID: <F001.0036B081.20010815055524@fatcity.com>
MIME-Version: 1.0
Content-Type: text/plain


When you restored, did you restore the control files etc... EVERYTHING from 
the cold backup? It should not have been looking at the new file at all if 
you added it after the backup.

Now... rewrite your cold backup script to read the names of the datafiles, 
logfiles and controlfiles to be backed up from a file.

In the script, before you shutdown the database, do a spool to a file of 
this select statement (this is the file you will read in the script to tell 
you the names of the files to backup).

select name from v$datafile
union
select member from v$logfile
union
select name from v$controlfile
/


this will give you the name of all the datafiles, controlfiles and logfiles 
that you will need to backup in your cold backup script.

And you will never have to worry about forgetting to add in a new file name 
because you will be getting the accurate information from the database 
always




>From: Hermanto P <hermanto_p@aprilasia.com>
>Reply-To: ORACLE-L@fatcity.com
>To: Multiple recipients of list ORACLE-L <ORACLE-L@fatcity.com>
>Subject: RE: How can I get my DB back if I lost one of my rollback segment
>Date: Tue, 14 Aug 2001 19:30:20 -0800
>
>Thanks Rachel,
>What I meant is, actually I do the cold backup. I do it by the script.
>Before the backup processing/running, I made a new rollback segment which I
>miss to add the name into the script. So, when I do the backup, this
>rollback did not recorded.
>Further, I experimenting with other thing in application. Since I got the
>problem, I want to restore the old backup. But after I restore, I can not
>startup Oracle DB successfully.
>
>svrmgrl
>SVRMGR>connect internal
>Connected to an idle instance
>SVRMGR>startup;
>ORACLE instance started.
>Total System Global Area       17950752 bytes
>Fixed Size                           38987 bytes
>Variable Size                  111845589 bytes
>Database Buffers                65764666 bytes
>Redo Buffers                      1564323 bytes
>Database mounted.
>ORA-01122 : database file 14 failed verification check
>ORA-01110 : data file 14: '/data_dev/cybprod/rbs02.dbf'
>ORA-01207: file is more recent than control file - old control file
>
>
>Warm Regards,
>
>Hermanto P
>Application Engineer
>PT Riau Andalan Pulp And Paper - IT/IS Dept.
>Phone : (0761) - 491147 / 491354
>HP        : 0812-752-3092
>"Dream as if you'll live forever, live as if you'll die today"
>
>
>
>
>-----Original Message-----
>Sent: Tuesday, August 14, 2001 08:41 PM
>To: Multiple recipients of list ORACLE-L
>segment (rb
>
>
>Hermanto,
>
>some more information would be helpful -- why are you restoring? are you
>restoring from a cold or hot backup?
>
>if it was from a cold backup, you can comment out the rollback_segments
>parameter in the init.ora and start the database. Then I would drop the
>rollback tablespace and recreate it, with the rollback segments you want.
>Then change the init.ora and shutdown and restart the database
>
>Rachel
>
> >From: Hermanto P <hermanto_p@aprilasia.com>
> >Reply-To: ORACLE-L@fatcity.com
> >To: Multiple recipients of list ORACLE-L <ORACLE-L@fatcity.com>
> >Subject: How can I get my DB back if I lost one of my rollback segment 
>(rb
> >Date: Tue, 14 Aug 2001 00:35:21 -0800
> >
> >Hi gurus,
> >Recently, I have forgotten to backup one of rollback segment file
> >(rbs02.dbf).
> >When I want to restore..the db can not startup normally.
> >Anyone can give me advise..
> >Thanks in advance.
> >
> >Warm regards,
> >Hermanto
> >--
> >Please see the official ORACLE-L FAQ: http://www.orafaq.com
> >--
> >Author: Hermanto P
> >   INET: hermanto_p@aprilasia.com
> >
> >Fat City Network Services    -- (858) 538-5051  FAX: (858) 538-5051
> >San Diego, California        -- Public Internet access / Mailing Lists
> >--------------------------------------------------------------------
> >To REMOVE yourself from this mailing list, send an E-Mail message
> >to: ListGuru@fatcity.com (note EXACT spelling of 'ListGuru') and in
> >the message BODY, include a line containing: UNSUB ORACLE-L
> >(or the name of mailing list you want to be removed from).  You may
> >also send the HELP command for other information (like subscribing).
>
>
>_________________________________________________________________
>Get your FREE download of MSN Explorer at http://explorer.msn.com/intl.asp
>
>--
>Please see the official ORACLE-L FAQ: http://www.orafaq.com
>--
>Author: Rachel Carmichael
>   INET: carmichr@hotmail.com
>
>Fat City Network Services    -- (858) 538-5051  FAX: (858) 538-5051
>San Diego, California        -- Public Internet access / Mailing Lists
>--------------------------------------------------------------------
>To REMOVE yourself from this mailing list, send an E-Mail message
>to: ListGuru@fatcity.com (note EXACT spelling of 'ListGuru') and in
>the message BODY, include a line containing: UNSUB ORACLE-L
>(or the name of mailing list you want to be removed from).  You may
>also send the HELP command for other information (like subscribing).
>--
>Please see the official ORACLE-L FAQ: http://www.orafaq.com
>--
>Author: Hermanto P
>   INET: hermanto_p@aprilasia.com
>
>Fat City Network Services    -- (858) 538-5051  FAX: (858) 538-5051
>San Diego, California        -- Public Internet access / Mailing Lists
>--------------------------------------------------------------------
>To REMOVE yourself from this mailing list, send an E-Mail message
>to: ListGuru@fatcity.com (note EXACT spelling of 'ListGuru') and in
>the message BODY, include a line containing: UNSUB ORACLE-L
>(or the name of mailing list you want to be removed from).  You may
>also send the HELP command for other information (like subscribing).


_________________________________________________________________
Get your FREE download of MSN Explorer at http://explorer.msn.com/intl.asp

-- 
Please see the official ORACLE-L FAQ: http://www.orafaq.com
-- 
Author: Rachel Carmichael
  INET: carmichr@hotmail.com

Fat City Network Services    -- (858) 538-5051  FAX: (858) 538-5051
San Diego, California        -- Public Internet access / Mailing Lists
--------------------------------------------------------------------
To REMOVE yourself from this mailing list, send an E-Mail message
to: ListGuru@fatcity.com (note EXACT spelling of 'ListGuru') and in
the message BODY, include a line containing: UNSUB ORACLE-L
(or the name of mailing list you want to be removed from).  You may
also send the HELP command for other information (like subscribing).


